import * as plugins from '../../plugins.js';
import type { IRouteSecurity } from '../../../dist_ts_interfaces/data/route-management.js';
export declare class SourceProfileDoc extends plugins.smartdata.SmartDataDbDoc<SourceProfileDoc, SourceProfileDoc> {
    id: string;
    name: string;
    description?: string;
    security: IRouteSecurity;
    extendsProfiles?: string[];
    createdAt: number;
    updatedAt: number;
    createdBy: string;
    constructor();
    static findById(id: string): Promise<SourceProfileDoc | null>;
    static findAll(): Promise<SourceProfileDoc[]>;
}
